summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYann E. MORIN" <yann.morin.1998@free.fr>2012-05-08 21:29:38 (GMT)
committerYann E. MORIN" <yann.morin.1998@free.fr>2012-05-08 21:29:38 (GMT)
commitddf414246a941885bdb43ff7bd0b4d84b15c6790 (patch)
treeba40a3a870fa2fccb000f9339a3f7ee262f9b979
parentd9a54aceec6bdf6c39acd2dd091c7eb2a609bdc7 (diff)
scripts: fix catching build failures, the proper way, now
Serves me for pushing too fast... :-( Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr> (transplanted from 24961ef6af8885ad071cba16adacbf5f7466ef37)
-rw-r--r--scripts/crosstool-NG.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/crosstool-NG.sh.in b/scripts/crosstool-NG.sh.in
index 818723f..788faa9 100644
--- a/scripts/crosstool-NG.sh.in
+++ b/scripts/crosstool-NG.sh.in
@@ -599,7 +599,7 @@ if [ "${CT_ONLY_DOWNLOAD}" != "y" -a "${CT_ONLY_EXTRACT}" != "y" ]; then
# POSIX 1003.1-2008 does not say if "set -e" should catch a
# sub-shell ending with !0. bash-3 does not, while bash-4 does,
# so the following line is for bash-3; bash-4 would choke above.
- [ $? -ne 0 ]
+ [ $? -eq 0 ]
if [ "${CT_STOP}" = "${step}" ]; then
do_stop=1
fi